diff -pruN 2:0.7.0.1/debian/changelog 2:0.8.0.1/debian/changelog
--- 2:0.7.0.1/debian/changelog	2023-11-01 10:50:51.000000000 +0000
+++ 2:0.8.0.1/debian/changelog	2024-05-09 11:33:36.000000000 +0000
@@ -1,3 +1,13 @@
+fenics (2:0.8.0.1) unstable; urgency=medium
+
+  * update versions for the v0.8 release (including ufl 2024.1.0)
+  * debian/tests: test all supported python versions
+  * fenicsx Suggests: python3-adios4dolfinx
+    (note Adios2 is available on 64-bit arches only)
+  * Standards-Version: 4.7.0
+
+ -- Drew Parsons <dparsons@debian.org>  Thu, 09 May 2024 13:33:36 +0200
+
 fenics (2:0.7.0.1) unstable; urgency=medium
 
   * fenicsx loads dolfinx 0.7 with ufl 2023.2
diff -pruN 2:0.7.0.1/debian/control 2:0.8.0.1/debian/control
--- 2:0.7.0.1/debian/control	2023-11-01 10:50:51.000000000 +0000
+++ 2:0.8.0.1/debian/control	2024-05-09 11:33:36.000000000 +0000
@@ -4,7 +4,7 @@ Priority: optional
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Johannes Ring <johannr@simula.no>, Drew Parsons <dparsons@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://fenicsproject.org
 Vcs-Git: https://salsa.debian.org/science-team/fenics/fenics.git
 Vcs-Browser: https://salsa.debian.org/science-team/fenics/fenics
@@ -56,6 +56,7 @@ Depends: libdolfinx-dev (>= ${fenicsx:Up
  python-ufl-doc (>= ${ufl:Upstream-Version}),
  ${misc:Depends}
 Suggests: python3-dolfinx-mpc (>= ${fenicsx:Upstream-Version}),
+ python3-adios4dolfinx  (>= ${fenicsx:Upstream-Version}),
  fenicsx-performance-tests (>= ${fenicsx:Upstream-Version})
 Description: Automated Solution of Differential Equations
  FEniCS is a collection of free software for automated, efficient
diff -pruN 2:0.7.0.1/debian/rules 2:0.8.0.1/debian/rules
--- 2:0.7.0.1/debian/rules	2023-11-01 10:50:51.000000000 +0000
+++ 2:0.8.0.1/debian/rules	2024-05-09 11:33:36.000000000 +0000
@@ -15,7 +15,7 @@ FENICSX_EPOCH_VERSION=1:$(FENICSX_VERSIO
 
 # FEniCS-X is now diverged away from legacy FEniCS, so use distinct versioning for legacy components
 
-UFL_RELEASE_VERSION=2023.2.0
+UFL_RELEASE_VERSION=2024.1.0
 UFL_MAJOR_VERSION=$(shell echo $(UFL_RELEASE_VERSION) | sed "s/^\([^.]*\)\..*$$/\1/")
 UFL_MINOR_VERSION=$(shell echo $(UFL_RELEASE_VERSION) | sed "s/^\([^.]*\)\.\([^.]*\)\..*$$/\2/")
 UFL_VERSION=$(UFL_MAJOR_VERSION).$(UFL_MINOR_VERSION)
diff -pruN 2:0.7.0.1/debian/tests/control 2:0.8.0.1/debian/tests/control
--- 2:0.7.0.1/debian/tests/control	2023-11-01 10:50:51.000000000 +0000
+++ 2:0.8.0.1/debian/tests/control	2024-05-09 11:33:36.000000000 +0000
@@ -1,3 +1,5 @@
 Tests: test-fenics, test-fenicsx
 Depends: @, @builddeps@,
- python3-dolfinx-mpc [!mips64el !mipsel]
+ python3-dolfinx-mpc [!mips64el !mipsel],
+ python3-adios4dolfinx [!armel !armhf !i386 !hppa !hurd-i386 !m68k !powerpc !sh4 !x32],
+ python3-all
diff -pruN 2:0.7.0.1/debian/tests/test-fenics 2:0.8.0.1/debian/tests/test-fenics
--- 2:0.7.0.1/debian/tests/test-fenics	2023-11-01 10:50:51.000000000 +0000
+++ 2:0.8.0.1/debian/tests/test-fenics	2024-05-09 11:33:36.000000000 +0000
@@ -3,15 +3,18 @@ FENICS="ufl_legacy FIAT dijitso ffc dolf
 # dolfin invokes MPI, so ignore OpenFabrics transport warnings
 export OMPI_MCA_btl_base_warn_component_unused=0
 
-for fenics_component in ${FENICS}; do
-  python3 -c "import ${fenics_component}; print('imported ${fenics_component}', ${fenics_component}.__version__)"
-done
+for pyver in `py3versions -vs`; do
+    echo "Testing python $pyver"
+    for fenics_component in ${FENICS}; do
+	python$pyver -c "import ${fenics_component}; print('imported ${fenics_component}', ${fenics_component}.__version__)"
+    done
 
-# mshr does not always build on smaller 32 bit arches
-ARCH_NO_MSHR="armel mips mipsel"
-DEB_HOST_ARCH=$(dpkg-architecture -q DEB_HOST_ARCH)
-case " ${ARCH_NO_MSHR} " in \
-  *\ ${DEB_HOST_ARCH}\ *) echo "mshr is not available on ${DEB_HOST_ARCH}" ;;
-  # note module 'mshr' has no attribute '__version__'
-  *) python3 -c "import mshr; print('imported mshr')" ;;
-esac
+    # mshr does not always build on smaller 32 bit arches
+    ARCH_NO_MSHR="armel mips mipsel"
+    DEB_HOST_ARCH=$(dpkg-architecture -q DEB_HOST_ARCH)
+    case " ${ARCH_NO_MSHR} " in \
+	*\ ${DEB_HOST_ARCH}\ *) echo "mshr is not available on ${DEB_HOST_ARCH}" ;;
+	# note module 'mshr' has no attribute '__version__'
+	*) python$pyver -c "import mshr; print('imported mshr')" ;;
+    esac
+done
diff -pruN 2:0.7.0.1/debian/tests/test-fenicsx 2:0.8.0.1/debian/tests/test-fenicsx
--- 2:0.7.0.1/debian/tests/test-fenicsx	2023-11-01 10:50:51.000000000 +0000
+++ 2:0.8.0.1/debian/tests/test-fenicsx	2024-05-09 11:33:36.000000000 +0000
@@ -3,15 +3,25 @@ FENICSX="ufl basix ffcx dolfinx"
 # dolfinx invokes MPI, so ignore OpenFabrics transport warnings
 export OMPI_MCA_btl_base_warn_component_unused=0
 
-for fenics_component in ${FENICSX}; do
-  python3 -c "import ${fenics_component}; print('imported ${fenics_component}', ${fenics_component}.__version__)"
-done
+for pyver in `py3versions -vs`; do
+    echo "Testing python $pyver"
+    for fenics_component in ${FENICSX}; do
+	python$pyver -c "import ${fenics_component}; print('imported ${fenics_component}', ${fenics_component}.__version__)"
+    done
+
+    # dolfinx_mpc does not build on mipsen
+    ARCH_NO_DOLFINX_MPC="mips64el mipsel"
+    DEB_HOST_ARCH=$(dpkg-architecture -q DEB_HOST_ARCH)
+    case " ${ARCH_NO_DOLFINX_MPC} " in \
+	*\ ${DEB_HOST_ARCH}\ *) echo "dolfinx_mpc is not available on ${DEB_HOST_ARCH}" ;;
+	# note module 'dolfinx_mpc' has no attribute '__version__'
+	*) python$pyver -c "import dolfinx_mpc; print('imported dolfinx_mpc')" ;;
+    esac
 
-# dolfinx_mpc does not build on mipsen
-ARCH_NO_DOLFINX_MPC="mips64el mipsel"
-DEB_HOST_ARCH=$(dpkg-architecture -q DEB_HOST_ARCH)
-case " ${ARCH_NO_DOLFINX_MPC} " in \
-  *\ ${DEB_HOST_ARCH}\ *) echo "dolfinx_mpc is not available on ${DEB_HOST_ARCH}" ;;
-  # note module 'dolfinx_mpc' has no attribute '__version__'
-  *) python3 -c "import dolfinx_mpc; print('imported dolfinx_mpc')" ;;
-esac
+    # adios2 is only available on 64-bit architectures
+    DEB_HOST_ARCH_BITS=$(dpkg-architecture -q DEB_HOST_ARCH_BITS)
+    case ${DEB_HOST_ARCH_BITS} in \
+	64) python$pyver -c "import adios4dolfinx; print('imported adios4dolfinx', adios4dolfinx.__version__)" ;;
+	*) echo "ADIOS2 (adios4dolfinx) is only available on 64-bit architectures" ;;
+    esac
+done
